View Issue Details

IDProjectCategoryView StatusLast Update
16766Bug reportsSurvey editingpublic2020-10-26 08:16
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.24.2 
Fixed in Version3.24.2 
Summary16766: Simple user reset Survey group to default one
Description

An user with only some survey access reset the survey group

Steps To Reproduce
  1. Create an user restricted with 'create survey right'
  2. Give him all rights on one survey
  3. Set this survey to "TEST" group
  4. Log out
  5. Log in as restricted user
  6. Edit survey global settings : survey is set to Default group
Additional Information

See screencast

Surely here since Survey group creation

With user management : survey group management can not be done

Since in 4.X : survey group used for "Theme settings" : this can reset "Logo" for example …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.24.2
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 16428 closedDenisChenu Simple user reset Survey group to default one 

Activities

DenisChenu

DenisChenu

2020-10-20 18:45

developer   ~60318

Arg … user see group on SurveyGroup, but can not select it.

Must use same function in list ans search

DenisChenu

DenisChenu

2020-10-20 18:48

developer   ~60319

@cdorin ; there are really more concept issue in SurveyGroup currently

An user with no rights on Surveys (and survey group) can

  1. See all groups where he have a survey in Survey Group management
  2. Update all groups where he have a survey inside
DenisChenu

DenisChenu

2020-10-20 18:49

developer   ~60320

https://github.com/LimeSurvey/LimeSurvey/pull/1628

DenisChenu

DenisChenu

2020-10-21 07:57

developer   ~60322

Ok,

Screencast done before the fix : 2 windows open :
1st one as DenisChenu (superadmin),
2nd one as test : no right except login and right on a single survey.

Proof done (by order)

  • Survey group list difference : pull request fix the issue
  • test user can update SurveyGroup : think it must be fixed (i report another issue)
  • Survey group resetted : pull request fix the issue
Peek 21-10-2020 07-53.gif (1,878,208 bytes)
DenisChenu

DenisChenu

2020-10-21 16:58

developer   ~60344

https://github.com/LimeSurvey/LimeSurvey/pull/1628

I merge in master after 3.X :)

cdorin

cdorin

2020-10-21 17:29

manager   ~60345

Good one. Tested - everything is fine :) . To be merged in master as well.

DenisChenu

DenisChenu

2020-10-22 09:35

developer   ~60351

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30639

DenisChenu

DenisChenu

2020-10-22 11:43

developer   ~60357

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30644

lime_release_bot

lime_release_bot

2020-10-26 08:16

administrator   ~60401

Fixed in Release 4.3.23+201026

Related Changesets

LimeSurvey: 3.x-LTS 2ee8c8fc

2020-10-22 09:35:42

DenisChenu


Committer: GitHub Details Diff
Fixed issue 16766: Simple user reset Survey group to default one

Dev: use same criteria for search and list
Affected Issues
16766
mod - application/models/SurveysGroups.php Diff File

LimeSurvey: master d4db1fe7

2020-10-22 09:35:42

DenisChenu

Details Diff
Fixed issue 16766: Simple user reset Survey group to default one
Dev: use same criteria for search and list
Dev: cherry-picked OK
Affected Issues
16428, 16766
mod - application/models/SurveysGroups.php Diff File

Issue History

Date Modified Username Field Change
2020-10-20 18:17 DenisChenu New Issue
2020-10-20 18:17 DenisChenu Status new => assigned
2020-10-20 18:17 DenisChenu Assigned To => DenisChenu
2020-10-20 18:17 DenisChenu Issue generated from: 16428
2020-10-20 18:45 DenisChenu Note Added: 60318
2020-10-20 18:48 DenisChenu Note Added: 60319
2020-10-20 18:49 DenisChenu Note Added: 60320
2020-10-21 07:57 DenisChenu Note Added: 60322
2020-10-21 07:57 DenisChenu File Added: Peek 21-10-2020 07-53.gif
2020-10-21 16:58 DenisChenu Assigned To DenisChenu => cdorin
2020-10-21 16:58 DenisChenu Status assigned => testing
2020-10-21 16:58 DenisChenu Note Added: 60344
2020-10-21 17:29 cdorin Note Added: 60345
2020-10-22 09:35 DenisChenu Changeset attached => LimeSurvey 3.x-LTS 2ee8c8fc
2020-10-22 09:35 DenisChenu Note Added: 60351
2020-10-22 09:35 DenisChenu Assigned To cdorin => DenisChenu
2020-10-22 09:35 DenisChenu Resolution open => fixed
2020-10-22 09:36 DenisChenu Relationship added related to 16428
2020-10-22 09:36 DenisChenu Status testing => resolved
2020-10-22 09:36 DenisChenu Fixed in Version => 3.24.2
2020-10-22 11:43 DenisChenu Changeset attached => LimeSurvey master d4db1fe7
2020-10-22 11:43 DenisChenu Note Added: 60357
2020-10-26 08:16 lime_release_bot Note Added: 60401
2020-10-26 08:16 lime_release_bot Status resolved => closed